diff options
| author | J. Bruce Fields <bfields@redhat.com> | 2012-10-09 18:35:22 -0400 |
|---|---|---|
| committer | J. Bruce Fields <bfields@redhat.com> | 2012-10-09 18:35:22 -0400 |
| commit | f474af7051212b4efc8267583fad9c4ebf33ccff (patch) | |
| tree | 1aa46ebc8065a341f247c2a2d9af2f624ad1d4f8 /scripts/link-vmlinux.sh | |
| parent | 0d22f68f02c10d5d10ec5712917e5828b001a822 (diff) | |
| parent | e3dd9a52cb5552c46c2a4ca7ccdfb4dab5c72457 (diff) | |
nfs: disintegrate UAPI for nfs
This is to complete part of the Userspace API (UAPI) disintegration for which
the preparatory patches were pulled recently. After these patches, userspace
headers will be segregated into:
include/uapi/linux/.../foo.h
for the userspace interface stuff, and:
include/linux/.../foo.h
for the strictly kernel internal stuff.
Signed-off-by: J. Bruce Fields <bfields@redhat.com>
Diffstat (limited to 'scripts/link-vmlinux.sh')
| -rw-r--r-- | scripts/link-vmlinux.sh | 9 |
1 files changed, 7 insertions, 2 deletions
diff --git a/scripts/link-vmlinux.sh b/scripts/link-vmlinux.sh index 4629038c9e5a..b3d907eb93a9 100644 --- a/scripts/link-vmlinux.sh +++ b/scripts/link-vmlinux.sh | |||
| @@ -74,8 +74,13 @@ kallsyms() | |||
| 74 | info KSYM ${2} | 74 | info KSYM ${2} |
| 75 | local kallsymopt; | 75 | local kallsymopt; |
| 76 | 76 | ||
| 77 | if [ -n "${CONFIG_SYMBOL_PREFIX}" ]; then | ||
| 78 | kallsymopt="${kallsymopt} \ | ||
| 79 | --symbol-prefix=${CONFIG_SYMBOL_PREFIX}" | ||
| 80 | fi | ||
| 81 | |||
| 77 | if [ -n "${CONFIG_KALLSYMS_ALL}" ]; then | 82 | if [ -n "${CONFIG_KALLSYMS_ALL}" ]; then |
| 78 | kallsymopt=--all-symbols | 83 | kallsymopt="${kallsymopt} --all-symbols" |
| 79 | fi | 84 | fi |
| 80 | 85 | ||
| 81 | local aflags="${KBUILD_AFLAGS} ${KBUILD_AFLAGS_KERNEL} \ | 86 | local aflags="${KBUILD_AFLAGS} ${KBUILD_AFLAGS_KERNEL} \ |
| @@ -211,7 +216,7 @@ if [ -n "${CONFIG_KALLSYMS}" ]; then | |||
| 211 | 216 | ||
| 212 | if ! cmp -s System.map .tmp_System.map; then | 217 | if ! cmp -s System.map .tmp_System.map; then |
| 213 | echo >&2 Inconsistent kallsyms data | 218 | echo >&2 Inconsistent kallsyms data |
| 214 | echo >&2 echo Try "make KALLSYMS_EXTRA_PASS=1" as a workaround | 219 | echo >&2 Try "make KALLSYMS_EXTRA_PASS=1" as a workaround |
| 215 | cleanup | 220 | cleanup |
| 216 | exit 1 | 221 | exit 1 |
| 217 | fi | 222 | fi |
